Skip to main content
GET
Events - List

Authorizations

api-key
string
header
required

Admin API keys allow you to perform some privileged actions such as creating a merchant account and Merchant Connector account.

Path Parameters

merchant_id
string
required

The unique identifier for the Merchant Account.

Query Parameters

created_after
string<date-time> | null

Only include Events created after the specified time. Either only object_id must be specified, or one or more of created_after, created_before, limit and offset must be specified.

created_before
string<date-time> | null

Only include Events created before the specified time. Either only object_id must be specified, or one or more of created_after, created_before, limit and offset must be specified.

limit
integer<int64> | null

The maximum number of Events to include in the response. Either only object_id must be specified, or one or more of created_after, created_before, limit and offset must be specified.

offset
integer<int64> | null

The number of Events to skip when retrieving the list of Events. Either only object_id must be specified, or one or more of created_after, created_before, limit and offset must be specified.

object_id
string | null

Only include Events associated with the specified object (Payment Intent ID, Refund ID, etc.). Either only object_id must be specified, or one or more of created_after, created_before, limit and offset must be specified.

profile_id
string | null

Only include Events associated with the Profile identified by the specified Profile ID.

is_delivered
boolean | null

Only include Events which are ultimately delivered to the merchant.

Response

200 - application/json

List of Events retrieved successfully

The response body of list initial delivery attempts api call.

events
object[]
required

The list of events

total_count
integer<int64>
required

Count of total events